Loading...
Searching...
No Matches
volk_alloc.hh File Reference
`#include <cstdlib>`
`#include <limits>`
`#include <new>`
`#include <vector>`
`#include <volk/volk.h>`

Go to the source code of this file.

## Data Structures

struct | volk::alloc< T >
| C++11 allocator using volk_malloc and volk_free. More...

## Namespaces

namespace | volk

## Typedefs

template<class T>
using | volk::vector = std::vector<T, alloc<T>>
| type alias for std::vector using volk::alloc

## Functions

template<class T, class U>
bool | volk::operator== (alloc< T > const &, alloc< U > const &)
template<class T, class U>
bool | volk::operator!= (alloc< T > const &, alloc< U > const &)